# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:57:05 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD2
Summary:	Digest::MD2 Perl module - MD2 digest algorithm implementation
Summary(pl):	Modu perla Digest::MD2 - implementacja algorytmu skrtu MD2
Name:		perl-Digest-MD2
Version:	2.01
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD2 module allows you to use the RSA Data Security Inc.
MD2 Message Digest algorithm from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
128-bit "fingerprint" or "message digest" of the input. The algorithm
is described in RFC 1319.

%description -l pl
Modu Digest::MD2 pozwala na uywanie algorytmu skrtu MD2 firmy RSA
Data Security Inc. w programach perlowych. Algorytm przyjmuje na
wejciu tekst o dowolnej dugoci, a produkuje na wyjciu 128-bitowy
"odcisk palca" lub "skrt" informacji wejciowej. Algorytm jest
opisany w RFC 1319.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Digest/MD2.pm
%dir %{perl_sitearch}/auto/Digest/MD2
%{perl_sitearch}/auto/Digest/MD2/MD2.bs
%attr(755,root,root) %{perl_sitearch}/auto/Digest/MD2/MD2.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Digest-MD2.spec,v $
Revision 1.4.2.1  2003/03/13 00:57:05  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:31:46  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/01/07 14:51:21  mis
- autoupdated to 2.01

Revision 1.1  2002/07/21 21:51:13  qboosh
- new

